| Earth Observation Mission CFI Software DataHandling Software User Manual |

Public Member Functions | Public Attributes

# EECFI::SdfRec Class Reference

Class for containing Swath definition data. More...

List of all members.

## Public Member Functions
| SdfRec ()
| Empty constructor.
| SdfRec (const string swathDesc, const string swathIdentification, const long swathAlgo, const long numRec, const long refracMode, const double freq, const long numPoints, vector< SwathGeometry > &geom, const Asar &as, const AttitudeModel &satNomAtt, const AttitudeModel &satAtt, const AttitudeModel &instrAtt)
| Constructor with parameters.
| ~SdfRec ()
| Destructor.
## Public Attributes
string | swathDescription
| Swath description.
string | swathId
| Swath id or file type.
long | swathRecType
| Algorithm to be used in calculations (AlgorithmEnum).
long | numSwathRec
| Number of swath records to write in a single OEF.
long | refractionMode
| Refraction mode (TargetRayEnum).
double | frequency
| Frequency (Hz).
long | numPoints
| Number of points in the instantaneous swath.
vector< SwathGeometry > | swathGeom
| Swath geometry: list of points that define the instantaneous swath.
Asar | asar
| ASAR geometry: used when the geom_type in swath_geom is ASAR.
AttitudeModel | satNomAttitude
| Attitude data for satellite nominal attitude.
AttitudeModel | satAttitude
| Attitude data for satellite attribute.
AttitudeModel | instrAttitude
| Attitude data for intrument attitude.

## Detailed Description

Class for containing Swath definition data.

## Constructor & Destructor Documentation

EECFI::SdfRec::SdfRec | ( |  | ) |

Empty constructor.

EECFI::SdfRec::SdfRec | ( | const string | swathDesc,
|  | const string | swathIdentification,
|  | const long | swathAlgo,
|  | const long | numRec,
|  | const long | refracMode,
|  | const double | freq,
|  | const long | numPoints,
|  | vector< SwathGeometry > & | geom,
|  | const Asar & | as,
|  | const AttitudeModel & | satNomAtt,
|  | const AttitudeModel & | satAtt,
|  | const AttitudeModel & | instrAtt |
| ) |  |  |

Constructor with parameters.

References EECFI::AttitudeModel::angleModel, EECFI::AttitudeModel::AOCS, asar, EECFI::AttitudeModel::attitudeModel, EECFI::AttitudeModel::fileModel, frequency, EECFI::AttitudeModel::harmonicModel, instrAttitude, EECFI::AttitudeModel::matrixModel, numPoints, numSwathRec, EECFI::AttitudeModel::paramModel, refractionMode, satAttitude, satNomAttitude, swathDescription, swathGeom, swathId, and swathRecType.

EECFI::SdfRec::~SdfRec | ( |  | ) |

Destructor.

## Member Data Documentation

Asar EECFI::SdfRec::asar

ASAR geometry: used when the geom_type in swath_geom is ASAR.

Referenced by EECFI::SdfFile::read(), and SdfRec().

double EECFI::SdfRec::frequency

Frequency (Hz).

Referenced by EECFI::SdfFile::read(), and SdfRec().

AttitudeModel EECFI::SdfRec::instrAttitude

Attitude data for intrument attitude.

Referenced by EECFI::SdfFile::read(), and SdfRec().

long EECFI::SdfRec::numPoints

Number of points in the instantaneous swath.

Referenced by EECFI::SdfFile::read(), and SdfRec().

long EECFI::SdfRec::numSwathRec

Number of swath records to write in a single OEF.

Referenced by EECFI::SdfFile::read(), and SdfRec().

long EECFI::SdfRec::refractionMode

Refraction mode (TargetRayEnum).

Referenced by EECFI::SdfFile::read(), and SdfRec().

AttitudeModel EECFI::SdfRec::satAttitude

Attitude data for satellite attribute.

Referenced by EECFI::SdfFile::read(), and SdfRec().

AttitudeModel EECFI::SdfRec::satNomAttitude

Attitude data for satellite nominal attitude.

Referenced by EECFI::SdfFile::read(), and SdfRec().

string EECFI::SdfRec::swathDescription

Swath description.

Referenced by EECFI::SdfFile::read(), and SdfRec().

vector<SwathGeometry> EECFI::SdfRec::swathGeom

Swath geometry: list of points that define the instantaneous swath.

Referenced by EECFI::SdfFile::read(), and SdfRec().

string EECFI::SdfRec::swathId

Swath id or file type.

Referenced by EECFI::SdfFile::read(), and SdfRec().

long EECFI::SdfRec::swathRecType

Algorithm to be used in calculations (AlgorithmEnum).

Referenced by EECFI::SdfFile::read(), and SdfRec().